#ifndef MERLIN_Init_h_
#define  MERLIN_Init_h_ 1

// MERLIN Fundamental Inversion Code (FICO) Interface
#include "MERLIN.h"
#include "MERLIN_Model.h"
#include "MERLIN_Chisq.h"
#include "MERLIN_Exception.h"
#include "MERLIN_MilneEddington.h"
#include "MERLIN_StokesProfile.h"

// MERLIN Client Components
#include "MERLIN_Plan.h"

namespace MERLIN_Init
{
    extern CSAC::MERLIN_Model genetic_model; 
    extern CSAC::MERLIN_MilneEddington me;
    extern CSAC::MERLIN_StokesProfile reduced_observed;
    extern CSAC::MERLIN_Profile trial_profile;
    extern float continuum_;
    void  create_initial_guess(
                               float * I,
                               float * Q,
                               float * U,
                               float * V,
                               int &len,
                               CSAC::MERLIN_StokesProfile &observed,
                               float &continuum, 
                               CSAC::MERLIN_Model &my_model,
                               double &genetic_chisq,
                               double& netpol,
                               int &,
                               int &
                               );
}

#endif // MERLIN_Init_h_
