/* ============================================================================
 * Language: C++ 
 * File: MERLIN_CommonFactors.h
 * Package Name: Milne Eddington gRid Linear Inversion Network (MERLIN).
 * Sub-package: Fundamental Inversion Code (FICO).
 *
 * Created by Jose Garcia <jgarcia@ucar.edu> on 11/11/05.
 *  
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact University Corporation for Atmospheric Research at
 * 3080 Center Green Drive, Boulder, CO 80301

 * (c) COPYRIGHT University Corporation for Atmostpheric Research 2004-2006
 * Please read the full copyright statement in the file COPYRIGHT_UCAR.
 *
 =========================================================================== */


#ifndef MERLIN_CommonFactors_H_
#define MERLIN_CommonFactors_H_ 1

#define DET1 (Eta_I_square - Eta_Q_square - Eta_U_square - Eta_V_square + Rho_Q_square + Rho_U_square + Rho_V_square)
		      
#define DET3 ((Eta_Q*Rho_Q)+(Eta_U*Rho_U)+(Eta_V*Rho_V))

#define COMMON_FACTOR0 (Eta_0_r * .5)

#define COMMON_FACTOR1 (.5 * (Phi_b + Phi_r))

#define COMMON_FACTOR2 (Phi_p - common_factor1)

#define COMMON_FACTOR3 (Sin_inc_square * Cos_twice_azi)

#define COMMON_FACTOR4 (Sin_inc_square * Sin_twice_azi)

#define COMMON_FACTOR5 (.5 * (Psi_b + Psi_r))

#define COMMON_FACTOR6 (Psi_p - common_factor5)

#define COMMON_FACTOR7 (common_factor0 * common_factor3)

#define COMMON_FACTOR8 (common_factor0 * common_factor4)

#define COMMON_FACTOR9 (1. + Cos_inc_square)

#define COMMON_FACTOR10 (Phi_r - Phi_b)

#define COMMON_FACTOR11 (Psi_r - Psi_b)

#define COMMON_FACTOR12 (Eta_I_square + Rho_Q_square + Rho_U_square + Rho_V_square)


#endif // MERLIN_CommonFactors_h_
